Package com.oracle.truffle.api.object

## Class ObjectType

- java.lang.Object
- - com.oracle.truffle.api.object.ObjectType

    public class ObjectType
    extends java.lang.Object

### Constructor Summary

Constructors
`ObjectType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `createShapeData​(Shape shape)` Creates a data object to be associated with a newly created shape.
`boolean` `equals​(DynamicObject object, java.lang.Object other)` Delegate method for `DynamicObject#equals(Object)`.
`int` `hashCode​(DynamicObject object)` Delegate method for `DynamicObject#hashCode()`.
`void` `onPropertyAdded​(Property property, Shape shapeBefore, Shape shapeAfter)` Called when a new property is added to a shape.
`java.lang.String` `toString​(DynamicObject object)` Delegate method for `DynamicObject#toString()`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectType

    public ObjectType()

### Method Detail

#### equals

    public boolean equals​(DynamicObject object,
                          java.lang.Object other)

Delegate method for `DynamicObject#equals(Object)`.

#### hashCode

    public int hashCode​(DynamicObject object)

Delegate method for `DynamicObject#hashCode()`.

#### toString

    public java.lang.String toString​(DynamicObject object)

Delegate method for `DynamicObject#toString()`.

#### createShapeData

    public java.lang.Object createShapeData​(Shape shape)

Creates a data object to be associated with a newly created shape.

Parameters:
  `shape` - the shape for which to create the data object

#### onPropertyAdded

    public void onPropertyAdded​(Property property,
                                Shape shapeBefore,
                                Shape shapeAfter)

Called when a new property is added to a shape.

Parameters:
  `property` - the added property
  `shapeBefore` - shape before the property was added
  `shapeAfter` - shape after the property was added